com.microfocus.awm.core.internal

## Class ApplicationPropertyTester

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - com.microfocus.awm.core.internal.ApplicationPropertyTester

- All Implemented Interfaces:
    org.eclipse.core.expressions.IPropertyTester

      public class ApplicationPropertyTester
      extends org.eclipse.core.expressions.PropertyTester

  Property tester for AWM application properties.
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_IS_LOADED` Property tester property name: isApplicationLoaded

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationPropertyTester()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `test(java.lang.Object pReceiver, java.lang.String pProperty, java.lang.Object[] pArgs, java.lang.Object pExpectedValue)`

    - ### Methods inherited from class org.eclipse.core.expressions.PropertyTester

      `handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_IS_LOADED

          public static final java.lang.String PROPERTY_IS_LOADED

      Property tester property name: isApplicationLoaded
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationPropertyTester

          public ApplicationPropertyTester()

  - ### Method Detail

    - #### test

          public boolean test(java.lang.Object pReceiver,
                              java.lang.String pProperty,
                              java.lang.Object[] pArgs,
                              java.lang.Object pExpectedValue)

Copyright © 2015 Micro Focus GmbH. All rights reserved.